Installer - Bug #9449

foreman-installer fails if Isb-release is missing on the system
02/18/2015 04:17 PM - Phillip Schichtel

Status: Closed
Priority: Low
Assignee:
Category: Foreman modules
Target version: 1.8.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.7.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/296

Description

| faced the problem on my minimal wheezy installation.
The Isb facts are missing on the system as the Isb-release package is not included in the debian base installation.

Associated revisions

Revision 61cab9cf - 02/21/2015 07:59 PM - Michael Moll
fixes #9449 - drop usage of Isb facts

Revision e94db974 - 02/23/2015 04:05 AM - Michael Moll
refs #9449 - drop usage of Isb fact

Closes GH-154

History

#1 - 02/18/2015 04:48 PM - Anonymous

- Project changed from Foreman to Installer
- Category set to Foreman modules

- Status changed from New to Assigned

- Priority changed from Normal to Low

- Assignee set to Anonymous

This is due some few usages of $::Isbdistcodename in theforeman-foreman (and theoretically $::Isbmajdistrelease in theforeman-foreman_proxy.
However, at least one usage can't be deleted and it's questionable for some others, so maybe it's just better to include Isb packages in the installation
docs.

#2 - 02/18/2015 10:44 PM - Phillip Schichtel

This should probably be fixes as well:

https://github.com/theforeman/puppet-foreman_proxy/issues/125

#3 - 02/19/2015 04:59 AM - Anonymous

That issue is about something else. | get that a dependency of foreman-installer on Isb-release would solve the problem from a users' point of view.

#4 - 02/20/2015 06:03 PM - Anonymous

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/296 added
- Pull request deleted ()

#5 - 02/23/2015 05:01 AM - Anonymous
https://github.com/theforeman/puppet-foreman_proxy/issues/125

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset -foreman|61 fd82e4 7 11 4b7ddb.

#6 - 03/02/2015 05:45 AM - Dominic Cleal

- translation missing: en.field_release set to 28
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/61cab9cfd82e4836d667edd9115e39ddac4b7ddb
